## Singular Value decomposition
## system of equation solver Ax=B
## Author: M. Turhan ÇOBAN
## Created: 2021-06-13

function retval = svd_AxB (A,B)
[U,S,V]=svd(A);
n=length(A);
for i=1:n 
  SI(i,i)=1.0/S(i,i); 
end  
UT=U';
BT=B';
AI=V*(SI*UT);
X=AI*BT;
retval=X;
endfunction
